#!/bin/bash
# läuft beim Aufruf durch wordpress im Verzeichnis
# /srv/containers/wordpress/wp_data/wp-admin 
#
# manueller Test des Skripts:
# cd /srv/containers/wordpress/wp_data/wp-admin 
# sudo -u www-data ../indexer.sh

#Das Skript läuft innerhalb von Wordpréss im wp-admin-Verzeichnis. Bei manuellen Start diesen Vorgang simulieren
cd /srv/containers/wordpress/wp_data/wp-admin

# Während des Scripts in das Pluginverzeichnis gehen
cd ../wp-content/plugins/mirror_simply/
pwd

# Angaben zu Verzeichnissen ausgeben
SCRIPT_PATH=$(realpath "${BASH_SOURCE[0]}")
COMMAND=./search_indexer

# Relativer Pfad für Import und Export
OFFLINE_PATH="../../../offline"

#Kontrollausgaben
echo "SCRIPT_PATH=$SCRIPT_PATH"
echo "OFFLINE_PATH=$OFFLINE_PATH"
echo "COMMAND= $COMMAND"
echo "Aktuelles Verzeichnis: "
pwd


# Aktuellen Zeitstempel ausgeben
echo "Zeitstempel: "& date


#Indizierung und Synchronisation der Verzeichnisse auf dem Webserver durchführen
#Suche nur im Unterverzeichnis posts !
echo "Die Erzeugung der Suchbegriffe startet:"
ls -la $COMMAND
$COMMAND -if=$OFFLINE_PATH/posts -of=$OFFLINE_PATH -prefix=/wp/posts/

echo "Anpassung der 404-Seite mit deutschen Texten"
ls -la $OFFLINE_PATH/404/index.html
#Text in generierter 404-Seite ersetzen
sed -i -e 's/Oops! That page can’t be found./Die gewünschte Seite konnte nicht gefunden werden/g' -e 's/It looks like nothing was found at this location. Maybe try a search?/Geben Sie Ihren Suchbegriff oben in das Eingabefeld ein/g' $OFFLINE_PATH/404/index.html

#Schalterdatei wird von search_indexer in GO erstellt
echo "Schalterdatei für mirror.sh:"
ls -la $OFFLINE_PATH/rsync_schalter.txt
cat $OFFLINE_PATH/rsync_schalter.txt

exit 0 # Kennzeichen, dass die Batch-Datei durchgelaufen ist. 0 bedeutet: ohne Fehler
